aboutsummaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure26
1 files changed, 20 insertions, 6 deletions
diff --git a/configure b/configure
index 9472701..e5ef9ce 100755
--- a/configure
+++ b/configure
@@ -28,6 +28,7 @@ opt_rpath=
opt_memory=
opt_async=
opt_xattr=
+opt_xattrdb=false
opt_profile=false
opt_passwd_fallback='""'
@@ -42,6 +43,7 @@ usage()
echo >&2 " [--suffix=...]"
echo >&2 " [--enable-memory-db]"
echo >&2 " [--enable-xattr]"
+ echo >&2 " [--enable-xattrdb]"
echo >&2 " [--enable-profiling]"
echo >&2 " [--enable-force-async]"
echo >&2 " [--with-sqlite=...]"
@@ -76,7 +78,7 @@ do
else
maybe_prefix=$opt_prefix
fi
- if [ "$maybe_prefix" == "$(pwd)" ]; then
+ if [ "$maybe_prefix" = "$(pwd)" ]; then
echo >&2 "ERROR: Prefix is current directory. That doesn't work."
exit 1
fi
@@ -119,6 +121,12 @@ do
--enable-xattr=yes | --enable-xattr)
opt_xattr=true
;;
+ --enable-xattrdb=no)
+ opt_xattrdb=false
+ ;;
+ --enable-xattrdb=yes | --enable-xattrdb)
+ opt_xattrdb=true
+ ;;
--enable-memory-db=no)
opt_memory=false
;;
@@ -259,16 +267,21 @@ fi
if [ -z "$opt_xattr" ]; then
- if $xattr_runs; then
+ if $opt_xattrdb; then
opt_xattr=true
- echo "getfattr runs, enabling extended attribute support"
+ echo "xattr DB support implies extended attribute support"
else
- opt_xattr=false
- echo "getfattr fails, disabling extended attribute support"
+ if $xattr_runs; then
+ opt_xattr=true
+ echo "getfattr runs, enabling extended attribute support"
+ else
+ opt_xattr=false
+ echo "getfattr fails, disabling extended attribute support"
+ fi
fi
fi
-if $opt_xattr; then
+if $opt_xattr || $opt_xattrdb; then
if ! $xattr_runs; then
echo >&2 "WARNING: getfattr doesn't work, but xattr-related features requestd."
fi
@@ -308,6 +321,7 @@ touch func_deps.mk
sed -e '
s,@PREFIX@,'"$opt_prefix"',g
s,@XATTR@,'"$opt_xattr"',g
+ s,@XATTRDB@,'"$opt_xattrdb"',g
s,@PROFILING@,'"$opt_profiling"',g
s,@LIBDIR@,'"$opt_libdir"',g
s,@LIB@,'"$opt_lib"',g